| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
TypedHashDeclHolder Class Reference

allows for temporary storage of a TypedHashDecl pointer More...

`#include <TypedHashDecl.h>`

## Public Member Functions
DLLLOCAL | TypedHashDeclHolder (TypedHashDecl *thd)
| creates the object
DLLEXPORT | ~TypedHashDeclHolder ()
| deletes the TypedHashDecl object if still managed
DLLLOCAL TypedHashDecl * | operator* () const
| implicit conversion to TypedHashDecl*
DLLLOCAL TypedHashDecl * | operator-> () const
| implicit conversion to TypedHashDecl*
DLLLOCAL TypedHashDecl * | operator= (TypedHashDecl *nhd)
| assign new TypedHashDecl value; any managed object is deleted if still managed
DLLLOCAL TypedHashDecl * | release ()
| releases the TypedHashDecl*

## Detailed Description

allows for temporary storage of a TypedHashDecl pointer

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/TypedHashDecl.h